Bug 247380 - use gstreamer to embed multimedia in OO documents
Summary: use gstreamer to embed multimedia in OO documents
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-08 12:52 UTC by Nadav Kavalerchik
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 07:24:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
we already include the gstreamer patch (9.50 KB, application/vnd.oasis.opendocument.presentation)
2007-07-09 07:13 UTC, Caolan McNamara
no flags Details

Description Nadav Kavalerchik 2007-07-08 12:52:27 UTC
Description of problem:

unable to embed and play MOST video and audio media contents we have in
OpenOffice documents, although we tried the JMF addon which is very limited and
can only play some specific wav audio, mov and mpeg-1 video streams. it would be
very helpful if you can patch openoffice packages with the gstreamer extension
(like debian does) so many more multimedia streams can be used with the office
suite.

Version-Release number of selected component (if applicable):
2.2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Caolan McNamara 2007-07-09 07:13:10 UTC
Created attachment 158747 [details]
we already include the gstreamer patch

We already include that gstreamer patch, make sure that you are already able to
play the various video streams with totem which uses gstreamer by default.

Comment 2 Caolan McNamara 2007-07-09 07:28:08 UTC
So, it *should* work already. Can you attach a small demo video which doesn't
work in office, but does with in totem.

Comment 3 Nadav Kavalerchik 2007-07-09 17:48:56 UTC
oups, sorry :-) 

i forgot that we updated the servers with a localized version of OO that does
not  come with the gstreamer patch.

I've installed the original (international) packages and all works fine !
sorry for not being mindful about the upgrade.

please close this one :-)

(btw, i filed a bug report with the Hebrew OO localized team)

Comment 4 Caolan McNamara 2007-07-10 07:24:06 UTC
no problem. FWIW if there is a cohesive set of patches for he_IL localization
which haven't been synced into the master upstream yet I could always consider
adding them to the fedora builds.


Note You need to log in before you can comment on or make changes to this bug.